## Class GestoreConfini

    java.lang.Object
      GestoreConfini

    public class GestoreConfini

extends java.lang.Object

Gestisce il calcolo dei confini fra territori. Calcola i territori confinanti a uno dato in base alla mappa del Risiko standard.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`GestoreConfini()`

Method Summary
`static java.util.Set` `confinaCon(Territorio t)` Calcola i territori confinanti in base al nome del territorio del parametro.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GestoreConfini

    public GestoreConfini()

Method Detail

### confinaCon

    public static java.util.Set confinaCon(Territorio t)

  Calcola i territori confinanti in base al nome del territorio del parametro. Poichè l'associazione di confine viene gestita univocamente,bisogna affidarsi al metodo void setConfinanti(String, Set) della classe Tabellone, il quale imposta una doppia associazione fra un territorio x e un territorio y.

  Parameters:
    `t` - `Territorio` per il quale calcolare i confini
  Returns:
    una collezione di `String` contenenti i nomi dei territori confinanti